Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.rcxcomm.remotecontrol
Class RemoteControlAdapter

    java.lang.Object
      josx.rcxcomm.remotecontrol.RemoteControlAdapter

All Implemented Interfaces:
  RemoteControlListener

    public class RemoteControlAdapter

extends Object
implements RemoteControlListener

This class is an adapter for the remote control listener.

Version:
  1.0 (24/09/2002)
Author:
  Matthias Paul Scholz (mp.scholz@t-online.de)

Constructor Summary
`RemoteControlAdapter()` creates a new instance of RemoteControlAdapter

Method Summary
`void` | `message1Pressed()` handler for the message 1 button
`void` | `message2Pressed()` handler for the message 2 button
`void` | `message3Pressed()` handler for the message 3 button
`void` | `motorDownPressed(Motor aMotor)` decrement motor power
`void` | `motorUpPressed(Motor aMotor)` increment motor power
`void` | `program1Pressed()` handler for the program 1 button
`void` | `program2Pressed()` handler for the program 2 button
`void` | `program3Pressed()` handler for the program 3 button
`void` | `program4Pressed()` handler for the program 4 button
`void` | `program5Pressed()` handler for the program 5 button
`void` | `soundPressed()` handler for the sound button
`void` | `stopPressed()` handler for the stop button

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### RemoteControlAdapter

    public RemoteControlAdapter()

  creates a new instance of RemoteControlAdapter

Method Detail

### message1Pressed

    public void message1Pressed()

  handler for the message 1 button

  Specified by:
    `message1Pressed` in interface `RemoteControlListener`

### message2Pressed

    public void message2Pressed()

  handler for the message 2 button

  Specified by:
    `message2Pressed` in interface `RemoteControlListener`

### message3Pressed

    public void message3Pressed()

  handler for the message 3 button

  Specified by:
    `message3Pressed` in interface `RemoteControlListener`

### motorDownPressed

    public void motorDownPressed(Motor aMotor)

  decrement motor power

  Specified by:
    `motorDownPressed` in interface `RemoteControlListener`
  Parameters:
    `aMotor` - the motor

### motorUpPressed

    public void motorUpPressed(Motor aMotor)

  increment motor power

  Specified by:
    `motorUpPressed` in interface `RemoteControlListener`
  Parameters:
    `aMotor` - the motor

### program1Pressed

    public void program1Pressed()

  handler for the program 1 button

  Specified by:
    `program1Pressed` in interface `RemoteControlListener`

### program2Pressed

    public void program2Pressed()

  handler for the program 2 button

  Specified by:
    `program2Pressed` in interface `RemoteControlListener`

### program3Pressed

    public void program3Pressed()

  handler for the program 3 button

  Specified by:
    `program3Pressed` in interface `RemoteControlListener`

### program4Pressed

    public void program4Pressed()

  handler for the program 4 button

  Specified by:
    `program4Pressed` in interface `RemoteControlListener`

### program5Pressed

    public void program5Pressed()

  handler for the program 5 button

  Specified by:
    `program5Pressed` in interface `RemoteControlListener`

### soundPressed

    public void soundPressed()

  handler for the sound button

  Specified by:
    `soundPressed` in interface `RemoteControlListener`

### stopPressed

    public void stopPressed()

  handler for the stop button

  Specified by:
    `stopPressed` in interface `RemoteControlListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD